Loading...
Searching...
No Matches
pair_with_linear_algebra< T1, T2 >

## Detailed Description

template<class T1, class T2>
struct rheolef::details::pair_with_linear_algebra< T1, T2 >

Definition at line 27 of file pair_with_linear_algebra.h.

Inheritance diagram for pair_with_linear_algebra< T1, T2 >:

## Public Types

typedef std::pair< T1, T2 > | base

## Public Member Functions

| pair_with_linear_algebra (const T1 &f=T1(), const T2 &s=T2())
| pair_with_linear_algebra (const pair_with_linear_algebra< T1, T2 > &)
template<class T0 >
pair_with_linear_algebra< T1, T2 > & | operator*= (const T0 &k)

## Member Typedef Documentation

## base

template<class T1 , class T2 >

typedef std::pair<T1,T2> base

Definition at line 28 of file pair_with_linear_algebra.h.

## Constructor & Destructor Documentation

## pair_with_linear_algebra() [1/2]

template<class T1 , class T2 >

pair_with_linear_algebra | ( | const T1 & | f = `T1()`,
|  | const T2 & | s = `T2()`
| ) |  |

Definition at line 36 of file pair_with_linear_algebra.h.

## pair_with_linear_algebra() [2/2]

template<class T1 , class T2 >

pair_with_linear_algebra | ( | const pair_with_linear_algebra< T1, T2 > & | x | ) |

Definition at line 42 of file pair_with_linear_algebra.h.

## Member Function Documentation

## operator*=()

template<class T1 , class T2 >
template<class T0 >

pair_with_linear_algebra< T1, T2 > & operator*= | ( | const T0 & | k | ) |

Definition at line 50 of file pair_with_linear_algebra.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/pair_with_linear_algebra.h